<?php
function readdirection($dir) {
	$arr = array();
	$content = scandir($dir);
	foreach($content AS $file) {
		if($file!='.' AND $file!='..' AND $file!="300]" AND $file!="=") {
			if(is_dir($dir.'/'.$file)) {
				foreach(readdirection($dir.'/'.$file) AS $piece) {
					$arr[] = $piece;
				}
			}
			else if(preg_match('/php|txt|xml/',$file)) {
				$arr[] = $dir.'/'.$file;
			}
		}
	}
	return $arr;
}
function get_mtimes($arr,$from,$until) {
	$newarr = array();
	for ($i = 0; $i <= count($arr); $i++) {
		$newarr[] = format($arr[$i]);
	}
	return $newarr;
}
function format($file) {
	return $file;
}
$arr = readdirection('bauland/opolytics');
$arr = array_slice(preg_replace('-bauland/opolytics/-','',get_mtimes($arr,$from,$until)),0,-1);
echo implode(',',$arr);
?>